Package ch.qos.logback.classic.util

# Class ContextInitializer

java.lang.Object
ch.qos.logback.classic.util.ContextInitializer

public class ContextInitializer extends Object
This class contains logback's logic for automatic configuration

Author:
  Ceki Gulcu

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`AUTOCONFIG_FILE`
`static final String`
`CONFIG_FILE_PROPERTY`
`static final String`
`TEST_AUTOCONFIG_FILE`

## Constructor Summary

Constructors
Constructor
Description
`ContextInitializer(LoggerContext loggerContext)`

## Method Summary

Modifier and Type
Method
Description
`void`
`autoConfig()`
`void`
`configureByResource(URL url)`
`URL`
`findURLOfDefaultConfigurationFile(boolean updateStatus)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### AUTOCONFIG_FILE

public static final String AUTOCONFIG_FILE

See Also:
  - Constant Field Values

### TEST_AUTOCONFIG_FILE

public static final String TEST_AUTOCONFIG_FILE

See Also:
  - Constant Field Values

### CONFIG_FILE_PROPERTY

public static final String CONFIG_FILE_PROPERTY

See Also:
  - Constant Field Values

## Constructor Details

### ContextInitializer

public ContextInitializer(LoggerContext loggerContext)

## Method Details

### configureByResource

public void configureByResource(URL url) throws JoranException

Throws:
  `JoranException`

### findURLOfDefaultConfigurationFile

public URL findURLOfDefaultConfigurationFile(boolean updateStatus)

### autoConfig

public void autoConfig() throws JoranException

Throws:
  `JoranException`